Update storage provider
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://forge.laravel.com/api/orgs/{organization}/storage-providers/{storageConfiguration}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'region' => '<string>',
'bucket' => '<string>',
'endpoint' => '<string>',
'access_key' => '<string>',
'secret_key' => '<string>',
'use_ec2_assumed_role' => true,
'directory' => '<string>',
'assume_role' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request PUT \
--url https://forge.laravel.com/api/orgs/{organization}/storage-providers/{storageConfiguration} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"region": "<string>",
"bucket": "<string>",
"endpoint": "<string>",
"access_key": "<string>",
"secret_key": "<string>",
"use_ec2_assumed_role": true,
"directory": "<string>",
"assume_role": false
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
region: '<string>',
bucket: '<string>',
endpoint: '<string>',
access_key: '<string>',
secret_key: '<string>',
use_ec2_assumed_role: true,
directory: '<string>',
assume_role: false
})
};
fetch('https://forge.laravel.com/api/orgs/{organization}/storage-providers/{storageConfiguration}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://forge.laravel.com/api/orgs/{organization}/storage-providers/{storageConfiguration}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"region\": \"<string>\",\n \"bucket\": \"<string>\",\n \"endpoint\": \"<string>\",\n \"access_key\": \"<string>\",\n \"secret_key\": \"<string>\",\n \"use_ec2_assumed_role\": true,\n \"directory\": \"<string>\",\n \"assume_role\": false\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "<string>",
"type": "storageProviders",
"links": {
"self": {
"href": "<string>",
"rel": "<string>",
"describedby": "<string>",
"title": "<string>",
"type": "<string>",
"hreflang": "<string>",
"meta": {}
}
},
"attributes": {
"name": "<string>",
"region": "<string>",
"bucket": "<string>",
"directory": "<string>",
"endpoint": "<string>",
"assume_role": true,
"in_use": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Storage Providers
Update storage provider
Update a storage provider for the organization.
Processing mode: async
PUT
/
orgs
/
{organization}
/
storage-providers
/
{storageConfiguration}
Update storage provider
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://forge.laravel.com/api/orgs/{organization}/storage-providers/{storageConfiguration}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'region' => '<string>',
'bucket' => '<string>',
'endpoint' => '<string>',
'access_key' => '<string>',
'secret_key' => '<string>',
'use_ec2_assumed_role' => true,
'directory' => '<string>',
'assume_role' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The organization slug
The storage configuration ID
Body
application/json
Maximum string length:
255Available options:
s3, spaces, hetzner, ovh, scaleway, custom Response
StorageProviderResource
Show child attributes
Show child attributes
Was this page helpful?
⌘I